<?php
$doc = new DOMDocument('1.0', 'utf-8');
$doc->formatOutput = true;
$doc->encoding = 'utf-8';

$html = $doc->createElement('html');
$html = $doc->appendChild($html);

$head = $doc->createElement('head');
$head = $html->appendChild($head);

$title = $doc->createElement('title', 'Ez az oldal címe');
$title = $head->appendChild($title);

$body = $doc->createElement('body');
$body = $html->appendChild($body);

$table = $doc->createElement('table');
$table = $body->appendChild($table);
$table->setAttribute('id', 'tablazat');
$table->setAttribute('border', '0');

$tbody = $doc->createElement('tbody');
$tbody = $table->appendChild($tbody);

$step = 1;
for ($row = 1; $row <= 5; $row++)
	{
	$tr = $doc->createElement('tr');
	$tr = $tbody->appendChild($tr);

	for ($col = 1; $col <= 3; $col++)
		{
		$td = $doc->createElement('td', $step);
		$td = $tr->appendChild($td);
		$step++;
		}
	}

$text = $doc->createComment(' komment ');
$text = $html->appendChild($text);

$result_text = '<p class="alert alert-success">Elkészült '.$doc->saveHTMLFile('created.html').' bájt méretű HTML fájl!</p>';
?>
<!DOCTYPE html>
<html lang="hu-HU">
<head>
	<meta charset="utf-8">

	<title>PHP: HTML DOM Creator | Webmestertanfolyam.hu</title>

	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
	<link type="text/css" rel="stylesheet" href="css/bootstrap.min.css" rel="stylesheet" />
	<!--[if lt IE 9]>
		<script type="text/javascript" src="//html5shim.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->
	<link type="text/css" rel="stylesheet" href="css/styles.css" rel="stylesheet" />
</head>
<body>
	<div class="navbar navbar-default">
		<div class="container">
			<a class="navbar-brand" href="http://webmestertanfolyam.hu" title="Webmestertanfolyam.hu"><img src="http://webmestertanfolyam.hu/img/logo-demo.png" alt="Webmestertanfolyam.hu" /></a>
			<ul class="nav navbar-nav">
				<li><a href="http://webmestertanfolyam.hu/#tanfolyamaink" title="Tanfolyamaink">Tanfolyamaink</a></li>
				<li><a href="http://webmestertanfolyam.hu/webmester-blog" title="További segédletek">További segédletek</a></li>
			</ul>
		</div>
	</div>

	<div class="container">
		<div class="row">
			<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
				<h4>Művelet eredménye</h4>
				<?php echo $result_text; ?>
			</div>
		</div>

		<hr/>

		<div class="jumbotron text-center">
			<h1>PHP: HTML DOM Creator</h1>
			<p class="lead">A demo forrása: <a href="http://webmestertanfolyam.hu" title="webmestertanfolyam.hu">webmestertanfolyam.hu</a></p>
			<p><a class="btn btn-lg btn-success" href="http://webmestertanfolyam.hu/webmester-blog" title="További segédletek" target="_blank">További segédletek</a></p>
		</div>
	</div>

	<script type="text/javascript" src="js/jquery-1.9.1.min.js"></script>
	<script type="text/javascript" src="js/bootstrap.min.js"></script>
</body>
</html>